##
# ImagePrinter.
# @author kaiba http://pokosho.com

package ImagePrinter;
use request::printer::Printer;
use base qw(Printer);
use strict;
use util::Configure;
use Data::Dumper;
use util::SaveFileReader;


##
# Constractor
sub new{
	my $this = shift;
	my $self = {
		# page index
		"index" => 0,
		# path to template file
		"template" => "",
		# image index
		"imageIndex" => 0
	};
	bless $self, $this;
	
	return $self;
}

##
# set image index
# @param index index of image.
sub setImageIndex() {
	my $this = shift;
	my ($index) = @_;
	$this->{imageIndex} = $index;
}

1;
