##
# UpdateRequester. Create new update file and rss file.
# @author kaiba http://pokosho.com

package UpdateRequester;
use request::Requester;
use base qw(Requester);
use strict;
use request::updater::Updater;
use request::updater::UpdateResultPrinter;
use request::rss::RssRequester;
##
# Constractor
sub new() {
	my $this = shift;
	my $self = {};
	bless $self, $this;
	return $self;
}


## request. Update and print result.
# @param index index
# @param opt optional string
sub request() {
	my $this = shift;
	my ($index, $opt) = @_ ;

	my $req = new Updater();
	my $printer = new UpdateResultPrinter();
	my $rss = new RssRequester();
	my $logger = Log::Log4perl::get_logger("mylogger");
	$logger->debug("start UpdateRequester request.");
	$req->request();
	$rss->request();
	$printer->request();
}




1;
