##
# UpdateResultPrinter. Print update result for admin.
# @author kaiba http://pokosho.com

package UpdateResultPrinter;
use request::Requester;
use base qw(Requester);
use strict;
use util::Configure;
use Data::Dumper;
use util::SaveFileReader;

##
# Constractor
sub new() {
	my $this = shift;
	my $self = {};
	bless $self, $this;
	return $self;
}

## request. 
# @param index index
# @param opt optional string
sub request() {
	my $this = shift;
	my ($index, $opt) = @_ ;
	my $configure = Configure->getInstance();
	my $sfr = SaveFileReader->getInstance();
	my $imgsref = $sfr->getImages();
	my $logger = Log::Log4perl::get_logger("mylogger");
	my @imgs;
	my @newImgs;
	my $s;
	my $fs;
	my $i;
	my @fnames;
	$this->{index} = $index;
	$this->{opt} = $opt;

	my $tmpldir = $configure->getParam('TMPL_DIR');
	my $printer = new Printer();
	$logger->debug("start UpdateResultPrinter request.");
	print "Content-type: text/html\n\n";
	$printer->setIndex(0);
	$printer->setTemplate("$tmpldir/update_result.tmpl");
	$printer->print();
}


1;
